/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.excalibur.pool;

import org.apache.avalon.framework.component.Component;

/**
 * This is an <code>Pool</code> that caches Poolable objects for reuse.
 *
 * @author <a href="mailto:bloritsch@apache.org">Berin Loritsch</a>
 * @author <a href="mailto:stefano@apache.org">Stefano Mazzocchi</a>
 * @author <a href="mailto:donaldp@mad.scientist.com">Peter Donald</a>
 * @version CVS $Revision: 1.2 $ $Date: 2001/05/08 15:13:09 $
 */
public interface Pool
    extends Component
{
    Poolable get() throws Exception;
    void put( Poolable poolable );
}
