/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.framework.util;

import java.util.List;
import org.apache.avalon.framework.CascadingException;

/**
 *
 * @author <a href="mailto:donaldp@apache.org">Peter Donald</a>
 */
public class CircularDependencyException
    extends CascadingException
{
    protected List   m_stack;

    public CircularDependencyException( final String dependee,
                                        final String dependent,
                                        final List stack )
    {
        super( dependee + " depends upon " + dependent + " which depends upong " + dependee );
        m_stack = stack;
    }

    public List getStack()
    {
        return m_stack;
    }
}
