/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software License
 * version 1.1, a copy of which has been included  with this distribution in
 * the LICENSE file.
 */
package org.apache.avalon.framework.util;

/**
 *
 * @author  Federico Barbieri <fede@apache.org>
 * @author  Stefano Mazzocchi <mazzocch@mbox.systemy.it>
 */
public class Primes
{
    /**
     * Last prime found.
     *
     */
    protected static long                c_lastPrime              = 1;

    /**
     * Return next prime.
     *
     */
    public static long nextPrime()
    {
        long l = c_lastPrime + 1;
        long v = 2;

        while( true )
        {
            l++;

            while( v < l )
            {
                v++;

                if( (l % v) == 0 )
                {
                    v = 0;
                    break;
                }
            } // while v < l

            if( v == l )
            {
                c_lastPrime = l;
                return l;
            } // if v is l
        } // while true (break is used to escape)
    }
}
